## org.apache.lucene.facet.range
Class LongRange

    java.lang.Object
      org.apache.lucene.facet.range.Range
          org.apache.lucene.facet.range.LongRange

    public final class LongRange

extends Range

Represents a range over long values indexed as `NumericDocValuesField`.

Field Summary
`long` `max`
`boolean` `maxInclusive`
`long` `min`
`boolean` `minInclusive`

Fields inherited from class org.apache.lucene.facet.range.Range
`label`

Constructor Summary
`LongRange(String label, long min, boolean minInclusive, long max, boolean maxInclusive)` Create a LongRange.

Method Summary
`boolean` `accept(long value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### min

    public final long min

### max

    public final long max

### minInclusive

    public final boolean minInclusive

### maxInclusive

    public final boolean maxInclusive

Constructor Detail

### LongRange

    public LongRange(String label,
                     long min,
                     boolean minInclusive,
                     long max,
                     boolean maxInclusive)

  Create a LongRange.

Method Detail

### accept

    public boolean accept(long value)

  Specified by:
    `accept` in class `Range`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.